Run Audit
curl --request POST \
--url https://api.example.com/api/v1/brands/{brand_id}/audits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"audit_type": "<string>",
"platform": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/brands/{brand_id}/audits"
payload = {
"audit_type": "<string>",
"platform": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({audit_type: '<string>', platform: '<string>'})
};
fetch('https://api.example.com/api/v1/brands/{brand_id}/audits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"brand_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"audit_type": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"platform": "<string>",
"overall_score": 123,
"summary": "<string>",
"results": {},
"recommendations": [
"<unknown>"
],
"output_files": [
"<unknown>"
],
"cost_usd": 0,
"error_message": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Brands
Run Audit
Trigger a specific audit for a brand. Returns immediately; audit runs in background.
POST
/
api
/
v1
/
brands
/
{brand_id}
/
audits
Run Audit
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Was this page helpful?
⌘I